ru.bitel.bgbilling.modules.bill.server.bean

## Class DocTypeManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.bill.server.bean.DocTypeManager

-     public class DocTypeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocTypeManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteType(int id)`
    `DocType` | `getType(int id)`
    `static DocType` | `getTypeFromRs(java.sql.ResultSet rs)`
    `java.util.List<DocType>` | `getTypeList(int type)`
    `java.util.Map<java.lang.Integer,DocType>` | `getTypeMap()`
    `void` | `updateType(DocType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocTypeManager

          public DocTypeManager(java.sql.Connection con,
                                int mid)

  - ### Method Detail

    - #### getType

          public DocType getType(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTypeMap

          public java.util.Map<java.lang.Integer,DocType> getTypeMap()
                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTypeList

          public java.util.List<DocType> getTypeList(int type)
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateType

          public void updateType(DocType type)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteType

          public void deleteType(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTypeFromRs

          public static DocType getTypeFromRs(java.sql.ResultSet rs)
                                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`